from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from re import compile as re_compile
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('../rougail-tests/funcs/test.py')
try:
    groups.namespace
except:
    groups.addgroup('namespace')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
option_3 = StrOption(name="leader", doc="a leader", multi=True, default=["value1", "value2"], properties=frozenset({"mandatory", "standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_9leadership-calculation-variable_leader_follower/rougail/00-base.yml'], 'type': 'string'})
option_4 = StrOption(name="follower", doc="a follower", multi=True, properties=frozenset({"basic", "mandatory"}), informations={'ymlfiles': ['../rougail-tests/structures/40_9leadership-calculation-variable_leader_follower/rougail/00-base.yml'], 'type': 'string'})
optiondescription_2 = Leadership(name="leadership_1", doc="a leadership", children=[option_3, option_4], properties=frozenset({"basic"}), informations={'ymlfiles': ['../rougail-tests/structures/40_9leadership-calculation-variable_leader_follower/rougail/00-base.yml']})
option_6 = StrOption(name="leader", doc="a leader", multi=True, default=Calculation(func['calc_value'], Params((ParamOption(option_4)), kwargs={'__internal_multi': ParamValue(True)})), properties=frozenset({"mandatory", "standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_9leadership-calculation-variable_leader_follower/rougail/00-base.yml'], 'type': 'string'})
option_7 = StrOption(name="follower", doc="a follower", multi=True, default_multi="val", properties=frozenset({"mandatory", "standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_9leadership-calculation-variable_leader_follower/rougail/00-base.yml'], 'type': 'string'})
optiondescription_5 = Leadership(name="leadership_2", doc="a second leadership", children=[option_6, option_7], properties=frozenset({"standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_9leadership-calculation-variable_leader_follower/rougail/00-base.yml']})
optiondescription_1 = OptionDescription(name="rougail", doc="Rougail", group_type=groups.namespace, children=[optiondescription_2, optiondescription_5], properties=frozenset({"basic"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1])
